store-customers-get-many¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25333167796Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
getLambda:
jef-store-get-20
Endpoint¶
API Name:
jef-storeAction Name:
getMethod:
GETScope Label:
GETResource Path:
/store-customers-get-manyComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-customers-get-manyLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-20curl payload mode:
query_string
API Gateway Description¶
Function: jef-store-get-20
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-customers-get-many
Table:
- table: jef-store-customers
- operation: get-many
Payload Schema:
- gsi_1_pk: entity_number
Payload Example:
- gsi_1_pk: 1001
Response Schema:
- exists: boolean
- message: string
- items: [{"entity_number":"string","customer_number":"string","customer_name":"string","phone":"string","email":"string","address_label":"string","address_line_1":"string","barangay":"string","city":"string","province":"string","postal_code":"string","notes":"string","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}]
Request Payload¶
{
"gsi_1_pk": "entity_number"
}
Response¶
{
"exists": "boolean",
"message": "string",
"items": "[{\"entity_number\":\"string\",\"customer_number\":\"string\",\"customer_name\":\"string\",\"phone\":\"string\",\"email\":\"string\",\"address_label\":\"string\",\"address_line_1\":\"string\",\"barangay\":\"string\",\"city\":\"string\",\"province\":\"string\",\"postal_code\":\"string\",\"notes\":\"string\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}]"
}
CMD curl¶
curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-customers-get-many?gsi_1_pk=1001"
PowerShell curl¶
curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-customers-get-many?gsi_1_pk=1001"